WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Top Level Categories with WP 2.5

[Resolved] Top Level Categories with WP 2.5

  • I use WordPress to publish an online magazine. Works reaaaaly well.

    Now, I have the plugin Top Level Categories installed. It’s essential to the way I’ve structured my site. What the plugin does is it turns yoursite.com/category/catname into yoursite.com/catname.

    Upgraded to WP 2.5. Plugin works great. Functions like it should. Except, whenever I go to say, yoursite.com/catname, this shows up on top of the page, before the content:

    Warning: Invalid argument supplied for foreach() in …/wp-includes/query.php on line 683.

    When I deactivate the plugin and I go to yousite.com/category/catname, the warning doesn’t show. And, even when the plugin’s activated, the warning doesn’t show on pages that aren’t stripped of the /category/ base (i.e. yoursite.com/03/03/03/hello-world).

    So it’s definitely the plugin and 2.5.

    Anyone got ideas?

Viewing 14 replies - 1 through 14 (of 14 total)
  • Pester the developer?

    I was about to install WP 2.5 but read that this is one of the few unsupported plugins.

    Yeah, I posted that. WP 2.5 just looks so cool. So, now I’m trying to think of a work-around. 🙂

    This plugin is really important for my site as well! I can’t suddenly change back to having /category/eaxmple, as Search engines have spidered my whole site without it.

    Does anyone know a fix for this plugin?

    Thanks!
    Matt

    I’m the developer.

    I had tested the plugin with WP2.5RC2, and it worked fine then. Looking into it now to see if I can fix it.

    OK — I’ve updated the plugin and it should now be fixed in 2.5

    Let me know if any one sees any more issues.

    http://svn.wp-plugins.org/top-level-cats/tags/release-1.0.1/

    I just registered to say you all guys rock. OSS rocks.

    I was starting a new site these days using the TLC Plugin, saw that 2.5 was out, upgraded and the error hit my face.

    fil, I can confirm it’s working fine. A big fat thanks for your support.

    Hi Fil,

    you write this:

    You can do so by adding the following code to the file on line 174 (right before the return $link; line):

    if (is_feed()) {
    $link = trailingslashit($link) . “feed/”;
    }

    but where I can add this code? Which php file?

    Thank you for reply!

    Hi Filipe,

    Thanks for creating this plugin. I’ve been using it and recently upgraded to 2.5.1, and I now get the query.php warning.

    If I activate the latest top-level-cats.php I don’t get the warning, but I get 404’s for all my links.

    If I stick with older version links work, but I get the warning.

    Any advice on how to fix this?

    Thanks in advance

    tydende, have you tried to go to the permalinks section while administering WP and click on Save Changes? (Even if you didn’t actually change anything).

    Can’t remember if this was it or for a different plugin, but I’d give it a try.

    Good luck!

    frames,

    i have tried that. thanks, though.

    when i find a solution i’ll be sure to post it.

    I have just realized it’s 2.5.1 you are having issues with. I got the plugin working with 2.5. So I have upgraded (BTW, I should have done before, but it’s a test system :-). Fortunately or not, looks fine to me.

    Best of the lucks again.

    Yes , It works in WP 2.6 too,Thanks!

    Does this plugin for ypu turn
    domain.com/category1/subcategory1/ into domain.com/subcategory1/

    I want only to remove category base not to change parent/child directory structure

    Message deleted.

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘[Resolved] Top Level Categories with WP 2.5’ is closed to new replies.
Skip to toolbar